const
  isUseLabelBarcode = False;
  //   
  IdReport =      12752;
var
  TmpDir: string;
  f: TcsFormDialog;
  sl: TStringList;
  btnLoad: TButton;
  rbPrint,
    rbStorage: TRadioButton;
  lblStorage, l: TLabel;
  i: Integer;
  edtStorage: TEdit;
  q: TcsExecSQLQuery;
  qs: TcsViewQuery;
  qLocal: TQuery;

procedure DoUpdateLabel;
begin
  if edtStorage.Text = '' then
    begin
      ShowWarning('  ');
      try
        edtStorage.SetFocus;
      except
      end;
      Exit;
    end;
  q := TcsExecSQLQuery.Create(f);
  q.DatabaseName := MainDatabaseName;
  q.SQL.Add('update label set storagescheme = :storagescheme where barcode = :barcode');
  for i := 0 to sl.Count - 1 do
    begin
      q.ParamByName('barcode').AsString := ExtractWord(1, sl[i] + ';', ';');
      q.ParamByName('storagescheme').AsString := edtStorage.Text;
      q.ExecSQL;
    end;
  q.Free;
end;

procedure DoPrintCennic;
begin
  TmpDir := frVariables['TEMPDIR'];
  if FileExists(TmpDir + 'CennicPrint.DB') then
    DeleteFile(TmpDir + 'CennicPrint.DB');
  if FileExists(TmpDir + 'Cennic.DB') then
    DeleteFile(TmpDir + 'Cennic.DB');
  if FileExists(TmpDir + 'Cennic.DB') then
    ShowInfo('     ')
  else
    begin
      if not CommonQuery('DBTEMP', 'CREATE TABLE ''cennic.db'' (id Integer, FullName Char(200), ' +
        'Code Char(13), Kol Integer, Cena_R Numeric(19, 2), Ins Char(1), ' +
        'PRIMARY KEY (ID))') or not FileExists(TmpDir + 'Cennic.DB') then
        ShowError('     ')
      else
        begin
          qs := TcsViewQuery.Create(f);
          qs.DatabaseName := MainDatabaseName;
          qs.SQL.Add('select id, code, barcode,fullname from label where barcode =:barcode');
          qLocal := TQuery.Create(f);
          qLocal.DataBaseNAme := TmpDir;
          qLocal.SQL.Add('select * from  ''cennic.db''');
          qLocal.RequestLive := True;
          qLocal.Open;
          for i := 0 to sl.Count - 1 do
            begin
              qs.ParamByName('barcode').AsString := ExtractWord(1, sl[i] + ';', ';');
              qs.Open;
              while not qs.Eof do
                begin
                  qLocal.Append;
                  qLocal.FieldByName('Id').AsInteger := qs.FieldByName('id').AsInteger;
                  qLocal.FieldByName('Code').AsString := qs.FieldByName('Code').AsString;
                  qLocal.FieldByName('Fullname').AsString := qs.FieldByName('Fullname').AsString;
                  qLocal.FieldByName('Kol').AsInteger := 1;
                  qLocal.Post;
                  qs.Next;
                end;
              qs.Close;
            end;

          qLocal.Close;
          qLocal.Free;
          qs.Free;
          fr_PreviewReport(IdReport);
        end;
    end;

end;

procedure btnLoadClick(Sender: TObject);
begin
  GetDataFromTerminal(sl);
  l.Caption := ': ' + IntToStr(sl.Count);
  f.btnOk.Enabled := sl.Count > 0;
end;

procedure btnRbClick(Sender: TObject);
begin
  lblStorage.Visible := rbStorage.Checked;
  edtStorage.Visible := rbStorage.Checked;
end;

procedure btnOkClick(Sender: TObject);
begin
  if rbStorage.Checked then
    DoUpdateLabel
  else
    DoPrintCennic;
end;

begin

  f := TcsFormDialog.Create(nil);
  sl := TStringList.Create;
  try
    f.Caption := '     ';
    f.Width := 400;
    f.Height := 400;
    rbPrint := TRadioButton.Create(f);
    with rbPrint do
      begin
        Parent := f.pnlTop;
        Left := 30;
        Top := 40;
        Caption := ' ';
        Checked := True;
        onClick := @btnRbClick;
      end;
    rbStorage := TRadioButton.Create(f);
    with rbStorage do
      begin
        Parent := f.pnlTop;
        Left := 30;
        Top := 70;
        Width := 200;
        Caption := '  ';
        onClick := @btnRbClick;
      end;

    lblStorage := TLabel.Create(f);
    with lblStorage do
      begin
        Parent := f.pnlTop;
        Left := 20;
        Top := 100;
        Width := 200;
        Caption := '  ';
        Visible := False;
      end;

    edtStorage := TEdit.Create(f);
    with edtStorage do
      begin
        Parent := f.pnlTop;
        Left := 220;
        Top := 100;
        Width := 100;
        MaxLength := 8;
        Visible := False;
      end;

    btnLoad := TButton.Create(f);
    with btnLoad do
      begin
        Parent := f.pnlTop;
        Left := 30;
        Top := 130;
        Width := 200;
        Caption := '   ';
        onClick := @btnLoadClick;
      end;
    l := TLabel.Create(f);
    with l do
      begin
        Parent := f.pnlTop;
        Left := 30;
        Top := 170;
        Width := 200;
        Caption := ': 0';
      end;
    f.btnOk.Enabled := sl.Count > 0;
    f.btnOk.ModalResult := mrNone;
    f.btnOk.onClick := @btnOkClick;
    f.btnCancel.Caption := '';
    f.ShowModal;
  finally
    f.Free;
    sl.Free;
  end;
end.